using System;

internal sealed class Delegate84 : MulticastDelegate
{
	public extern void Invoke(object object_0);

	public static void smethod_0(object object_0, Delegate84 delegate84_1)
	{
		delegate84_1(object_0);
	}

	public extern Delegate84(object object_0, IntPtr intptr_0);

	static Delegate84()
	{
		Class10.smethod_13(typeof(Delegate84).TypeHandle);
	}

	internal static Delegate84 delegate84_0;
}
